/*
 * $Id: daemon.h,v 1.4 2003/03/06 14:05:34 tsavola Exp $
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef DAEMON_H
#define DAEMON_H

#include <stdio.h>

/** Backlog parameter for the listen(socket) call. */
#define BACKLOG        16

/** Name of the config file in the user's home directory. */
#define CONFIG_NAME    ".sbrshd"

/** Gets printed with the --version option. */
#define DAEMON_VERSION "Scratchbox Remote Shell daemon " VERSION

#define DEBUG if (debugfile) debugfunc

extern void send_error(char *msg);
extern void debugfunc(const char *msg, ...);
extern FILE *debugfile;

#endif
